#
# spec file for package smbnetfs
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           smbnetfs
Version:        0.6.0
Release:        1.5
Summary:        Mount samba/microsoft network shares
License:        GPL-2.0
Group:          System/Filesystems
Url:            http://sourceforge.net/projects/smbnetfs
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fuse-devel
BuildRequires:  gcc
BuildRequires:  libgnome-keyring-devel
BuildRequires:  libsmbclient-devel >= 3.2.0
Source:         %{name}-%{version}.tar.bz2
Patch1:         smbnetfs-needs-pthread
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SMBNetFS is a Linux/FreeBSD filesystem that allow you to use samba/microsoft
network in the same manner as the network neighborhood in Microsoft Windows.

Authors:
--------
   Mikhail Kshevetskiy 

%prep
%setup
%patch1 -p1

%build
touch NEWS
autoreconf -fiv
%configure 
make %{?_smp_mflags}

%install
%makeinstall
%{__mkdir_p} %{buildroot}%{_docdir}
mv %{buildroot}%{_datadir}/doc/%{name}-%{version} %{buildroot}%{_docdir}/%{name}

%files
%defattr(-,root,root)
%{_bindir}/smbnetfs
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*

%changelog
* Fri Jun 26 2015 wagner-thomas@gmx.at
- Update to 0.6.0
  - stop printing warning for samba-4.x.
  - fix long staning bug with visible flags for hosts
  - add negative cache to speedup works with inaccessible hosts
    (thanks to Aleksey Midenkov for the idea)
  - allow setting of event_config_update_period to zero to disable periodic
    configuration update (thanks to Aleksey Midenkov)
  - allow settings of max_retry_count to zero, also remove unneeded 2 sec
    delay after last failure (thanks to Aleksey Midenkov)
  - add smb_timeout option (thanks to Soci/Singular for the idea)
  - switch to atomic integer operations where it was possible
  - improve error reporting and add timestamp to debug messages
    (thanks to Aleksey Midenkov for the idea)
* Wed Mar 12 2014 wagner-thomas@gmx.at
- Update to 0.5.3b  (bugfixes to prevent compilation errors)
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
* Mon May  7 2012 jeffm@suse.com
- Needs -pthread to build
- Added BuildRequires autoconf, automake
* Sun Oct  3 2010 dmacvicar@novell.com
- initial package for 0.5.3
